---
title: "Order POST"
description: "The Orders POST lets Agent Inbox know that the customer has purchased an order, generates a win messages and fills in the right sales numbers. You can also update the order information, but therefor use the same order_number of the first POST"
canonical: "https://docs.cm.com/mobile-service-cloud/msc-agent-inbox/dynamic-integration/order-post"
---

# Order POST

> The Orders POST lets Agent Inbox know that the customer has purchased an order, generates a win messages and fills in the right sales numbers. You can also update the order information, but therefor use the same order_number of the first POST

Source: https://docs.cm.com/mobile-service-cloud/msc-agent-inbox/dynamic-integration/order-post

The Orders POST lets Agent Inbox know that the customer has purchased an order, generates a win messages and fills in the right sales numbers. You can also update the order information, but therefor use the same `order_number` of the first POST

`POST https://api.robinhq.com/dynamic/orders/`

## Response codes

| Code | Description |
| :- | :- |
| 201 | Created |
| 400 | Bad Request |
| 401 | Invalid authorisation data |

```json title="Request body"
{
  "orders": [
    {
      "order_number": "CMO1243",
      "email_address": "email@example.com",
      "phone_number": "+31612345678",
      "revenue": 113.34,
      "old_revenue": 112.34,
      "profit": 13.34,
      "old_profit": 12.34,
      "order_date": "2021-04-05T12:34:56Z",
      "is_first_order": true,
      "webstore_url": "https://www.yourwebstore.com/"
    }
  ]
}						
```

## Request schema

| Name | Type | Required | Description |
| :- | :- | :- | :- |
| order\_number | String | Yes | Ordernumber of the order, special field, needed to recognize an order number in a question asked by a customer |
| email\_address | String | Yes\* | Email address of the customer |
| phone\_number | String | Yes\* | Phonenumber of the customer |
| revenue | Float | Yes | Total amount of money that the order resembles |
| old\_revenue | Float | No | When updating the order, the previous "revenue" is placed here |
| profit | Float | No | The total profit that is made with this order |
| old\_profit | Float | No | When updating the order, the previous "profit" is placed here |
| order\_date | String | Yes | Date that the order has been placed |
| is\_first\_order | Boolean | Yes | When true the order counts as acquisition, when false the order counts as retention |
| webstore\_url | String | No | The URL of the webstore where the order is placed |

\* Either email\_address or phone\_number is required
